Add missing fixture versions to IssuesPdfHelperTest
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

IssuesPdfHelperTest randomly fails due to a missing fixture.

$ RAILS_ENV=test bin/rake db:reset

Dropped database 'db/test.sqlite3'

Created database 'db/test.sqlite3'

$ bin/rails test test/unit/lib/redmine/export/pdf/issues_pdf_test.rb:40

Run options: --seed 27822

# Running:

E

Error:

IssuesPdfHelperTest#test_fetch_row_values_should_be_able_to_handle_parent_issue_subject:

ActiveRecord::RecordInvalid: Validation failed: Target version is not included in the list

    test/unit/lib/redmine/export/pdf/issues_pdf_test.rb:45:in `test_fetch_row_values_should_be_abl

e_to_handle_parent_issue_subject'

rails test test/unit/lib/redmine/export/pdf/issues_pdf_test.rb:40

Associated revisions

Revision 21710 - 2022-07-17 02:25 - Go MAEDA

Add missing fixture to IssuesPdfHelperTest (#37451).

History

#1 - 2022-07-17 02:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix.

#2 - 2022-07-20 09:57 - Go MAEDA

- Subject changed from Add missing fixture to IssuesPdfHelperTest to Add missing fixture versions to IssuesPdfHelperTest

Files

missing-fixture-IssuesPdfHelperTest.patch 666 Bytes 2022-07-17 Go MAEDA
